Versão Graph API

Whats App Business Account Call Analytics

Leitura

Enables one to retrieve the call analytics data for this WhatsApp Business Account

Exemplo

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se quiser saber como usar a Graph API, leia nosso guia sobre Como usar a Graph API.

Parâmetros

ParâmetroDescrição
country_codes
array<string>
Valor padrão: []

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
Valor padrão: []

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
Valor padrão: []

Call directions to receive analytics for

end
int64

End time

Obrigatório
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

Obrigatório
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
Valor padrão: []

Metric types to receive analytics for

phone_numbers
array<string>
Valor padrão: []

Phone numbers to receive analytics for

start
int64

Start time

Obrigatório
tiers
array<string>
Valor padrão: []

tiers

Campos

A leitura desta borda retornará um resultado formatado em JSON:

{ "data": [], "paging": {} }

data

Uma lista de nós WABACallAnalytics.

paging

Para saber mais detalhes sobre paginação, consulte o Guia da Graph API.

Error Codes

ErroDescrição
100Invalid parameter

Criando

Não é possível executar esta operação neste ponto de extremidade.

Atualizando

Não é possível executar esta operação neste ponto de extremidade.

Excluindo

Não é possível executar esta operação neste ponto de extremidade.